Subject: Re: bug#74833: 31.0.50; Copy to OS clipboard doesn't work in macOS Terminal.app with xterm-mouse-mode enabled

From: Ship Mints <[email-masked]>
Date: Mon, 16 Dec 2024 15:29:16 -0500

On mac, mouse reporting defaults to on and I think always has. "By default,
each new Terminal window has the Allow Mouse Reporting option selected."
Via
https://support.apple.com/guide/terminal/turn-on-mouse-reporting-trmlc69728a5/mac

On Mon, Dec 16, 2024 at 3:25 PM Filipp Gunbin <[email-masked]> wrote:

> On 16/12/2024 20:53 +0100, Gerd Möllmann wrote:
>
> > Filipp Gunbin <[email-masked]> writes:
> >
> >>> I think it's best if we simply agree to disagree.
> >>
> >> I don't think we disagree much, I see the value of xterm-mouse-mode
> >> (although I like "just text" on tty, no menus etc.), the only thing
> >> which concerns me (and is the reason for this bug) are "half-broken"
> >> defaults.
> >
> > I disagree completely :-). I don't see "half-broken" defaults.
>
> What is the default value of "Allow mouse reporting" if you open a new
> Terminal.app tab?  If it's ticked, like here, then you see them :-)
> Because then you get by default that half-way setup which I'm
> complaining about.
>
> >> We're discussing whether to disable xterm-mouse-mode only in
> >> Terminal.app, not everywhere.
> >
> > I don't think it's proven that only Terminal.app behaves the way it
> > does. At least iTerm can be configured in a way that it behaves almost
> > the same. And Alacritty as well.
>
> Terminal.app is the default terminal on macOS, so it's a bit more
> important in this context than others, I think.  And we're talking about
> what Terminal.app does by default.
>